
r.latlong input=el_simN output=elv_lat
r.latlong -l input=el_simN output=elv_lon


#atm_linke=(3.75 3.75 3.75 3.75 3.75 3.75 3.75 3.75 3.75 3.75 3.75 3.75)
days=( 17 47 75 105 135 162 198 228 258 288 318 344)
month=( jan feb mar apr may jun jul aug sep oct nov dec)
for k in {0..11}
do 
	for i in {180.0,195.0,210.0,225.0,240.0,255.0,270.0,285.0,300.0,315.0,330.0,345.0,360.0}
	do
		#echo "aspect: $i and month: ${month[$k]}"
		for j in {0.0,10.0,20.0,30.0,40.0,50.0,60.0,70.0,80.0,90.0}
		do		
			CMD="r.sun elevation=el_simN aspect_value=$i slope_value=$j linke_value=1.0 lat=elv_lat long=elv_lon glob_rad=at1-g_${month[$k]}-$j-$i day=${days[$k]} step=0.5" 
			$CMD
		done
	done
done

#extract information
for k in {0..11}
do 
	for i in {180.0,195.0,210.0,225.0,240.0,255.0,270.0,285.0,300.0,315.0,330.0,345.0,360.0}
	do
		for j in {0.0,10.0,20.0,30.0,40.0,50.0,60.0,70.0,80.0,90.0}
		do
			CMD="r.info at1-g_${month[$k]}-$j-$i"
			$CMD >> at1-${month[$k]}_info.txt
		done
	done
	grep "   Range of data:" at1-${month[$k]}_info.txt >> at1-${month[$k]}_info_ext_range.txt
done

wait
